index_iterator< Size, Distance >
Inheritance diagram for index_iterator< Size, Distance >:

## Public Member Functions

index_iterator & | operator++ ()
index_iterator | operator++ (int)
const Size & | operator* () const
const Size & | operator[] (const Size &i) const
bool | operator== (const index_iterator< Size, Distance > &x) const
bool | operator!= (const index_iterator< Size, Distance > &x) const
| index_iterator (Size i0=0)

## Protected Attributes

Size | _i

## Detailed Description

### template<class Size, class Distance = std::ptrdiff_t>
class rheolef::index_iterator< Size, Distance >

Definition at line 79 of file msg_util.h.

## Constructor & Destructor Documentation

## index_iterator()

index_iterator | ( | Size | i0 = `0` | ) |

Definition at line 93 of file msg_util.h.

## Member Function Documentation

## operator++() [1/2]

index_iterator& operator++ | ( |  | ) |

Definition at line 81 of file msg_util.h.

## operator++() [2/2]

index_iterator operator++ | ( | int |  | ) |

Definition at line 82 of file msg_util.h.

## operator*()

const Size& operator* | ( |  | ) | const

Definition at line 87 of file msg_util.h.

## operator[]()

const Size& operator[] | ( | const Size & | i | ) | const

Definition at line 88 of file msg_util.h.

## operator==()

bool operator== | ( | const index_iterator< Size, Distance > & | x | ) | const

Definition at line 89 of file msg_util.h.

## operator!=()

bool operator!= | ( | const index_iterator< Size, Distance > & | x | ) | const

Definition at line 91 of file msg_util.h.

## Member Data Documentation

## _i

Size _i

protected

Definition at line 95 of file msg_util.h.

The documentation for this class was generated from the following file:

- /build/rheolef-bzr82u/rheolef-7.1/linalg/lib/msg_util.h